<?php
		
	if (isset($_GET['callFunc'])) {
		if($_GET['callFunc'] == 1){
			$statusSendCustomer = SendCustomer();
			$statusSendMaSendMapsCode = SendMapsCode();
			
			if($statusSendMaSendMapsCode == 'true')
			{
				$status = array(
				"status" => true,
				"msj" => "Correo enviado correctamente. ");
			}else{
				$status = array(
				"status" => true,
				"msj" => "Error al enviar correo, intentelo mas tarde o por otro medio. ");
			}
			
			
			
		
		
		
		$output = json_encode($status);
			print($output);
		}
		
    }
	
	
	function SendCustomer(){
	    try{
		
		//Parametros recibidos de la pagina
		$name = $_GET['name'];
		$email = $_GET['email'];
		$phone = $_GET['phone'];
		//$subject = $_GET['subject'];
		$msj = '<p>Hola: ' .$name  . '</p>'.
		'<p>Le agradecemos la confianza que nos proporciona y le comunicamos que hemos recibido el mensaje que nos ha dejado desde la pagina de MapsCode.'.
		'<br>Con los datos proporcionados nos contactaremos con usted lo mas pronto posible. 
		<p>Reciba un saludo cordial del equipo de trabajo de MapsCode!!</p>'.
		
		'<br><p><img src="http://www.mapscode.com.mx/img/logoCompleto2.PNG"></p>';
		
		$subject = "MapsCode informacion recibida.";

		
		
		require_once('class.phpmailer.php');
		$mail = new PHPMailer();
		$mail->IsSMTP();
		$mail->SMTPAuth = true;
		$mail->SMTPSecure = "ssl";
		
		
		//parametros aconfigurar
		$mail->Host = "smtp.gmail.com"; //Colocar el Host del servidor de correo
		$mail->Port = 465; //Colcoar el puerto del smtp
		$mail->Username = "xxxx@xxxx.com"; //Colocar una cuenta de correo
		$mail->Password = "xxxxxx"; //Colocar la contraseña de la cuenta de correo
		$mail->SetFrom('xxxxx@xxxx.com', $subject); //Colocar la cuenta de correo de donde saldra el correo
		//fin de parametros
		
		
		
		
		
		
		$mail->Subject = $subject;
		$mail->MsgHTML($msj);
		$address = $email;
		$mail->AddAddress($address, $name);
		
		
		if(!$mail->Send()) {
		
			return true;

			
		} else {
			
			return false;
		
		
		}
		
		}catch(Exception $e){
			return false;
			
		}
	}
	
	
	
	function SendMapsCode(){
	    try{
		
		//Parametros recibidos de la pagina
		$name = $_GET['name'];
		$email = $_GET['email'];
		$phone = $_GET['phone'];
		$msjRecibido = $_GET['msj'];
		//$subject = $_GET['subject'];
		$msj = 
		'<p>Has recibido un mensaje desde la pagina Web.<br>Cliente:'. $name . '<br>Tel:' .$phone . '<br>Email:' . $email.
		'</p><br><p>MSJ:'.$msjRecibido.'</p>'.
		
		'<p><img src="http://www.mapscode.com.mx/img/logoCompleto2.PNG"></p>';
		
		$subject = "MapsCode mensaje recibido desde pagina Web.";
		
		
		require_once('class.phpmailer.php');
		$mail = new PHPMailer();
		$mail->IsSMTP();
		$mail->SMTPAuth = true;
		$mail->SMTPSecure = "ssl";
		
		
		//parametros aconfigurar
		$mail->Host = "smtp.gmail.com"; //Colocar el Host del servidor de correo
		$mail->Port = 465; //Colcoar el puerto del smtp
		$mail->Username = "xxxxxxx@xxxxx.com"; //Colocar una cuenta de correo
		$mail->Password = "xxxxxx"; //Colocar la contraseña de la cuenta de correo
		$mail->SetFrom('xxxxx@xxxx.com', $subject); //Colocar la cuenta de correo de donde saldra el correo
		$address = "xxxxx@xxxx.com";//correo de mapscode a donde llegara el correo
		//fin de parametros
		
		
		
		$mail->Subject = $subject;
		$mail->MsgHTML($msj);
		
		$mail->AddAddress($address, $name);
		
		
		if(!$mail->Send()) {
			return true;

			
		} else {
			return false;
		
		}
		
		}catch(Exception $e){
			return false;
		}
	}


	
  
  
?>